Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-07-03 09:52:14 +0400
committerJunio C Hamano <gitster@pobox.com>2007-07-03 09:52:14 +0400
commit5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3 (patch)
tree9f68d81a31f8dfe7af6096e7beac2dc0997c143a /git-sh-setup.sh
parent36e5e70e0f40cf7ca4351b8159d68f8560a2805f (diff)
Rewrite "git-frotz" to "git frotz"
This uses the remove-dashes target to replace "git-frotz" to "git frotz". Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-sh-setup.sh')
-rwxr-xr-xgit-sh-setup.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index 98959600eb..4ed07e9ddc 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -29,11 +29,11 @@ set_reflog_action() {
}
is_bare_repository () {
- git-rev-parse --is-bare-repository
+ git rev-parse --is-bare-repository
}
cd_to_toplevel () {
- cdup=$(git-rev-parse --show-cdup)
+ cdup=$(git rev-parse --show-cdup)
if test ! -z "$cdup"
then
cd "$cdup" || {
@@ -44,8 +44,8 @@ cd_to_toplevel () {
}
require_work_tree () {
- test $(git-rev-parse --is-inside-work-tree) = true &&
- test $(git-rev-parse --is-inside-git-dir) = false ||
+ test $(git rev-parse --is-inside-work-tree) = true &&
+ test $(git rev-parse --is-inside-git-dir) = false ||
die "fatal: $0 cannot be used without a working tree."
}
@@ -95,12 +95,12 @@ esac
if [ -z "$SUBDIRECTORY_OK" ]
then
: ${GIT_DIR=.git}
- GIT_DIR=$(GIT_DIR="$GIT_DIR" git-rev-parse --git-dir) || {
+ GIT_DIR=$(GIT_DIR="$GIT_DIR" git rev-parse --git-dir) || {
exit=$?
echo >&2 "You need to run this command from the toplevel of the working tree."
exit $exit
}
else
- GIT_DIR=$(git-rev-parse --git-dir) || exit
+ GIT_DIR=$(git rev-parse --git-dir) || exit
fi
: ${GIT_OBJECT_DIRECTORY="$GIT_DIR/objects"}